import * as $dara from '@darabonba/typescript';
import { DeleteClientUserDefineRuleResponseBody } from "./DeleteClientUserDefineRuleResponseBody";
export declare class DeleteClientUserDefineRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteClientUserDefineRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
